package com.zm.order.tool.server.hintnew;


import com.zm.order.tool.server.model.OrderItemBatching;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 
 * @author NianChang
 */
@Repository
public interface NewHintOrderItemBatchingDao {

    /**
     * 新增一条记录
     *
     * @param record
     * @return 影响行数
     */
    int insert(OrderItemBatching record);

    void update(OrderItemBatching o);

    /**
     * 批量新增
     *
     * @param list
     * @return 影响行数
     */
    int replaceList(List<OrderItemBatching> list);

    int count();

    List<OrderItemBatching> selectListById(List<Long> list);

}
